Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1957903 - Review Request: rust-filedescriptor - More ergonomic wrappers around RawFd and RawHandle
Summary: Review Request: rust-filedescriptor - More ergonomic wrappers around RawFd an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-06 18:19 UTC by Davide Cavalca
Modified: 2021-05-20 01:09 UTC (History)
2 users (show)

Fixed In Version: rust-filedescriptor-0.7.3-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-20 01:09:57 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2021-05-06 18:19:50 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/rust-filedescriptor/rust-filedescriptor.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/rust-filedescriptor/rust-filedescriptor-0.7.3-1.fc35.src.rpm

Description:
More ergonomic wrappers around RawFd and RawHandle.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-05-06 18:19:52 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=67372482

Comment 2 Robert-André Mauchin 🐧 2021-05-09 15:13:51 UTC
 - Ask upstream to include a license file in the crate


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 3 Davide Cavalca 2021-05-09 15:53:06 UTC
Thanks!

$ fedpkg request-repo rust-filedescriptor 1957903 
https://pagure.io/releng/fedora-scm-requests/issue/33849

Comment 4 Gwyn Ciesla 2021-05-10 15:56:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-filedescriptor

Comment 5 Fedora Update System 2021-05-10 17:04:55 UTC
FEDORA-2021-a89e2e4152 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a89e2e4152

Comment 6 Fedora Update System 2021-05-12 04:43:30 UTC
FEDORA-2021-a89e2e4152 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-a89e2e4152 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a89e2e4152

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-05-20 01:09:57 UTC
FEDORA-2021-a89e2e4152 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.